<?php
 /**
  * Reformal API Demo Application
  *
  * @version    1.0
  * @copyright  reformal.ru, 2008-2010
  * @link       http://reformal.ru/
  */

// Reformal URL
define('XML_SUBMIT_URL', 'http://reformal.ru/service.php');

/**
 * Parameters of security
 * PROJECT_ID and API_ID
 * You should get them on page of project settings
 */
define('PROJECT_ID',     '21215');
define('API_ID',         '8400aeb4607a244981a4a036ce55fca7');

// Start session
session_start();

// Include files and init engine
include 'includes/libs/main.php';                     // Main Library
include 'includes/classes/XML.class.php';             // XML Parser
include 'includes/classes/ReformalClient.class.php';  // Main project class

// Pointer
$gApi = new ReformalClient();

// Output HTML top
 templHeader();

if (!isset($_SESSION['token']))
{
    // Login
    $gApi->logIn();
}else
{
    // Engine mode
    $mod = (isset($_REQUEST['mod']) && !empty ($_REQUEST['mod'])) ? $_REQUEST['mod'] : 'default';
    switch ($mod)
    {
        // One idea with comments
        case 'idea':
            $gApi->idea();
            break;

        // Add Idea
        case 'idea_add':
            $gApi->addIdea();
            break;

        // Add Comment to idea
        case 'comment_add':
            $gApi->addComm();
            break;
        
        // Main page (List of ideas)
        default:
            $gApi->main();
    }
}
// Output HTML buttom
 templFooter();
 
?>